Subject: Re: bug#55299: 29.0.50; Bug with the mode-line and pixel-scroll-precision-mode

From: Po Lu <[email-masked]>
Date: Sun, 08 May 2022 13:55:28 +0800

Eli Zaretskii <[email-masked]> writes:

> I'm not surer we want this.  It will slow down redisplay, so we need a
> good understanding why this is required.  And the problem happens only
> on macOS, isn't that so?

No, I found I could reproduce it on GNU/Linux as well (with some
coaxing).

The problem is windows are not marked for redisplay after their vscroll
changes, so redisplay only happens to the selected window after just
setting the vscroll.

I suppose `wset_redisplay' would work too.